DefinitionsFactory (Apache Struts API Documentation)
Keywords: org.apache.struts.tiles.xmlDefinition.DefinitionsFactory,DefinitionsFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.tiles.xmlDefinition
Class DefinitionsFactory

    java.lang.Object
      |
      +--org.apache.struts.tiles.xmlDefinition.DefinitionsFactory

All Implemented Interfaces:
  java.io.Serializable

public class DefinitionsFactory
extends java.lang.Object
implements java.io.Serializable

A factory for definitions. This factory allows to retrieve definitions by their keys.

See Also:
  Serialized Form

Field Summary
`protected java.util.Map` | `definitions` Underlying map containing all definitions.

Constructor Summary
`DefinitionsFactory(XmlDefinitionsSet xmlDefinitions)` Constructor.

Method Summary
`ComponentDefinition` | `getDefinition(java.lang.String name, javax.servlet.ServletRequest request, javax.servlet.ServletContext servletContext)` Get a definition by its name.
`void` | `putDefinition(ComponentDefinition definition)` Put definition in set.
`java.lang.String` | `toString()` Return String representation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### definitions

    protected java.util.Map definitions

  Underlying map containing all definitions.

Constructor Detail

### DefinitionsFactory

    public DefinitionsFactory(XmlDefinitionsSet xmlDefinitions)
                       throws NoSuchDefinitionException

  Constructor. Create a factory initialized with definitions from `XmlDefinitionsSet`.

Parameters:
  `xmlDefinitions` - Resolved definition from XmlDefinitionSet.
Throws:
  `NoSuchDefinitionException` - If an error occurs while resolving inheritance

Method Detail

### getDefinition

    public ComponentDefinition getDefinition(java.lang.String name,
                                             javax.servlet.ServletRequest request,
                                             javax.servlet.ServletContext servletContext)
                                      throws NoSuchDefinitionException,
                                             DefinitionsFactoryException

  Get a definition by its name.

  Parameters:
    `name` - Name of the definition.
    `request` - Servlet request.
    `servletContext` - Servlet context.
  Throws:
    `DefinitionsFactoryException` - An error occur while getting definition.
    `NoSuchDefinitionException` - No definition found for specified name Implementation can throw more accurate exception as a subclass of this exception.

### putDefinition

    public void putDefinition(ComponentDefinition definition)

  Put definition in set.

  Parameters:
    `definition` - Definition to put.

### toString

    public java.lang.String toString()

  Return String representation.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    String representation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation